toolzerhub API Docs

Search profiles

Find accounts by name, handle, or keyword. Paginate with cursor and has_more. No matches return an empty profiles array.

6 credits / requestBilled only on success
GET
/v1/x/search/profiles

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

query*string

Name, handle, or keywords to find accounts by.

Length1 <= length <= 1000
cursor?string

cursor from the previous response. Omit for the first page and send it unchanged for later pages.

Lengthlength <= 2000
curl -X GET "https://example.com/v1/x/search/profiles?query=openai" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "profiles": [      {        "id": "4398626122",        "handle": "OpenAI",        "name": "OpenAI",        "description": "OpenAI’s mission is to ensure that artificial general intelligence benefits all of humanity. We’re hiring: https://t.co/dJGr6LgzPA",        "location": null,        "website": "https://t.co/3bPlZZkvdL",        "avatar_url": "https://pbs.twimg.com/profile_images/1885410181409820672/ztsaR0JW_normal.jpg",        "banner_url": "https://pbs.twimg.com/profile_banners/4398626122/1777662919",        "followers_count": 5440081,        "following_count": 4,        "posts_count": 2185,        "media_count": 746,        "likes_count": 2534,        "is_verified": false,        "is_blue_verified": true,        "verified_type": null,        "protected": false,        "created_at": "2015-12-06T22:51:08.000Z",        "pinned_post_ids": null,        "is_automated": null      },      {        "id": "28940967",        "handle": "lidangzzz",        "name": "lidang 立党 (劝人卖房/学CS/买SP500/纳100/OpenAI/Anthrop第一人)",        "description": "co-founder @HedgehogLabHQ @Project_DARC\n(私信提问前请务必先到YouTube频道观看各期解答世间万物节目,有问题请到X Space上麦直接询问,未回私信证明你的问题已经在YouTube回答过了)",        "location": "Houston, TX",        "website": "https://t.co/RcYK9nT6WO",        "avatar_url": "https://pbs.twimg.com/profile_images/1589854626282618880/Pl_kF0yY_normal.jpg",        "banner_url": "https://pbs.twimg.com/profile_banners/28940967/1590188835",        "followers_count": 1611441,        "following_count": 2750,        "posts_count": 49879,        "media_count": 10324,        "likes_count": 29344,        "is_verified": false,        "is_blue_verified": true,        "verified_type": null,        "protected": false,        "created_at": "2009-04-05T04:33:19.000Z",        "pinned_post_ids": null,        "is_automated": null      }    ],    "count": 2,    "cursor": "DAAFCgABHUvk9ev__z8LAAIAAADwRW1QQzZ3QUFBZlEvZ0dKTjB2R3AvQUFBQUJRQUFBQUFGUS9DYWhaSDgxR0lsa0FBR1FpTi9R",    "has_more": true  }}